# Billing Payment

#### Payment Request <a href="#payment-request" id="payment-request"></a>

| No | Name             | Type                                                             | Min Length | Max Length | Info                                                                                                      |
| -- | ---------------- | ---------------------------------------------------------------- | ---------- | ---------- | --------------------------------------------------------------------------------------------------------- |
| 1  | userName         | String                                                           | 1          | 100        | Username                                                                                                  |
| 2  | signature        | String                                                           | 1          | 40         | [see signature section](/api-reference/finpay-billing/core-api/authorization-and-headers.md#url-endpoint) |
| 3  | productCode      | [Enum](/api-reference/appendix/enumeration/product-code-list.md) | 1          | 6          | Fixed                                                                                                     |
| 4  | channel          | [Enum](/api-reference/appendix/enumeration/channel-list.md)      | 1          | 4          | Fixed                                                                                                     |
| 5  | terminal         | String                                                           | 1          | 8          | RPS                                                                                                       |
| 6  | terminalName     | String                                                           | 1          | 20         | Terminal name                                                                                             |
| 7  | terminalLocation | String                                                           | 1          | 30         | Terminal location                                                                                         |
| 8  | transactionType  | String                                                           | 1          | 2          | Fixed (Payment -> 50)                                                                                     |
| 9  | billNumber       | String                                                           | 1          | 13         | Billing number                                                                                            |
| 10 | amount           | String                                                           | 1          | 12         | LPZ                                                                                                       |
| 11 | feeAmount        | String                                                           | 1          | 12         | LPZ                                                                                                       |
| 12 | bit61            | [Object](/api-reference/appendix/json-object/bit-61-object.md)   | 1          | 999        | Checksum Transaction                                                                                      |
| 13 | traxId           | String                                                           | 1          | 32         | ID of transaction                                                                                         |
| 14 | timeStamp        | String                                                           | 1          | 26         | DD-MM-YYYY HH:MI:SS:FF                                                                                    |
| 15 | addInfo1         | String                                                           | 1          | 50         | Additional info                                                                                           |
| 16 | addInfo2         | String                                                           | 1          | 100        | Additional info                                                                                           |
| 17 | addInfo3         | String                                                           | 1          | 999        | Additional info                                                                                           |

**Sample Payment Request**

```
{
  "userName": "bmandiri",
  "signature": "d51214350d06ab528f94beabe75b3f6e",
  "productCode": "001001",
  "channel": "6017",
  "terminal": "T0800004",
  "terminalName": "T0800004        ",
  "terminalLocation": "T0800004        ",
  "transactionType": "50",
  "billNumber": "0021008457003",
  "amount": "000000030000",
  "feeAmount": "5000",
  "bit61": "00210084570030200013304A              10000305A              10000306A              10000IDHAM DHIYAULHAQ HABIBI       8825220158     ",
  "traxId": "64569131293",
  "timeStamp": "20-03-2023 10: 40: 40",
  "addInfo1": "",
  "addInfo2": "",
  "addInfo3": ""
}
```

#### Payment Response <a href="#payment-response" id="payment-response"></a>

| No | Name            | Type                                                                  | Min Length | Max Length | Info                       |
| -- | --------------- | --------------------------------------------------------------------- | ---------- | ---------- | -------------------------- |
| 1  | bit61           | [Object](/api-reference/appendix/json-object/bit-61-object.md)        | 1          | 999        | Checksum Transaction       |
| 2  | customerData    | [Object](/api-reference/appendix/json-object/customer-data-object.md) | 1          | 999        | Customer Data              |
| 3  | resultCode      | String                                                                | 1          | 4          | Result code                |
| 4  | resultDesc      | String                                                                | 1          | 100        | Description of result code |
| 5  | productCode     | String                                                                | 1          | 6          | Fixed                      |
| 6  | terminal        | String                                                                | 1          | 8          | Fixed                      |
| 7  | transactionType | String                                                                | 1          | 2          | Fixed                      |
| 8  | amount          | String                                                                | 1          | 12         | LPZ                        |
| 9  | feeAmount       | String                                                                | 1          | 12         | LPZ                        |
| 10 | bit48           | String                                                                | 1          | 999        | Additional info            |
| 11 | traxId          | String                                                                | 1          | 18         | ID of transaction          |
| 12 | timeStamp       | String                                                                | 1          | 26         | DD-MM-YYYY HH:MI:SS:FF     |
| 13 | timeStampServer | String                                                                | 1          | 26         | DD-MM-YYYY HH:MI:SS:FF     |

**Sample Payment Response**

```
{
  "bit61": "00210084570030200013304A              10000305A              10000306A              10000",
  "customerData": {
    "kodeDivre": "02",
    "kodeDatel": "0001",
    "jumlahBill": "3",
    "billInfo1": {
      "nomorReferensi": "306A",
      "nilaiTagihan": "10000"
    },
    "billInfo2": {
      "nomorReferensi": "305A",
      "nilaiTagihan": "10000"
    },
    "billInfo3": {
      "nomorReferensi": "304A",
      "nilaiTagihan": "10000"
    },
    "customerId": "0021008457003",
    "customerName": "",
    "npwp": ""
  },
  "resultCode": "00",
  "resultDesc": "Approve",
  "sysCode": "000000000003",
  "productCode": "001001",
  "terminal": "T0800004",
  "transactionType": "50",
  "amount": "000000030000",
  "feeAmount": "5000",
  "bit48": "No.Telkom:0218457003;Nama:305A              10000306A;Jumlah:Rp.30000",
  "traxId": "64569131293",
  "timeStamp": "20-03-2023 10: 40: 40",
  "timeStampServer": "24-06-2023 13:05:36:396538"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.finpay.id/api-reference/finpay-billing/core-api/billing-payment.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
